From: "Göktürk Yüksek" <gokturk@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/libu2f-host/
Date: Wed, 5 Jun 2019 20:05:58 +0000 (UTC) [thread overview]
Message-ID: <1559765125.1a1fc80ba7e47494400019c924245aff51b8307e.gokturk@gentoo> (raw)
commit: 1a1fc80ba7e47494400019c924245aff51b8307e
Author: Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 5 20:00:59 2019 +0000
Commit: Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Wed Jun 5 20:05:25 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a1fc80b
app-crypt/libu2f-host: bump to 1.1.10
Bug: https://bugs.gentoo.org/678580
Bug: https://bugs.gentoo.org/679724
Package-Manager: Portage-2.3.67, Repoman-2.3.12
Signed-off-by: Göktürk Yüksek <gokturk <AT> gentoo.org>
app-crypt/libu2f-host/Manifest | 1 +
app-crypt/libu2f-host/libu2f-host-1.1.10.ebuild | 47 +++++++++++++++++++++++++
2 files changed, 48 insertions(+)
diff --git a/app-crypt/libu2f-host/Manifest b/app-crypt/libu2f-host/Manifest
index 1fc68dbc77b..f2179ea58d1 100644
--- a/app-crypt/libu2f-host/Manifest
+++ b/app-crypt/libu2f-host/Manifest
@@ -1,3 +1,4 @@
DIST libu2f-host-1.1.1.tar.xz 455652 BLAKE2B f5cc4dd7752d66790b4139e5b8e9262f6622b9608bc8b220640db773ce1e794b58eb3fdf855df4e73417aabf5f8e979218dfd1b068111c66c6d830ef4b7ebb97 SHA512 1f6d26d47cabd44391a780f03d88b6ab9ed996bab26e2605f1942bfff2203aa9a8e90fa80c010ccf2e575dbfca3bd03d3322381343cdf6def3829bbe45db8693
+DIST libu2f-host-1.1.10.tar.xz 471676 BLAKE2B 5066eaaaeda3b8c015afa8946f0af3b1b90a34488d4c71811c0d8f57a3ed2e4c8cb3d82d2df147dcf13ac3c384522d22f25894ac3a2d994a75b288891a67640a SHA512 91c5bf3994f1d3c9bd144f54b14b0404d839c15bef3c318619decdf1bd37214bcff33927af78a9826ff7d0bc9907c912a0e31104ae68d3a727a8436f2a1dbf7a
DIST libu2f-host-1.1.3.tar.xz 469480 BLAKE2B b2a002fa694972e71aef73191608d079f1c13d98a2f40e06d25a6e50a3175100099adbc5b5067e5f1fe027042f99e198a07282df735ab4ff2eec63a4f5daf59a SHA512 6729dd35beaae1c96283f81794ac6c058ed6446f935a5cee7dc1a3db594201c9f049de6a58ac2e544e1c6ac0c1e9815cce5e2e46a6e45372e419078307a57f55
DIST libu2f-host-1.1.6.tar.xz 469380 BLAKE2B 7943b6dd61084952edb81ab2c93fd781d832f0ad07dff442c93464ecce57bde8a7b3d4aea5fa6801f39a5cbb272658ba86bf499f485bca35fa5fa314d609ff2f SHA512 499efac0243a7e5fadf6c456cc5530633337c07ab7dda52bd77b541b24ffd0337efe95cce499e73d6c46d312e737c044edcbdb4d41043b1e8721242d6e6ad20a
diff --git a/app-crypt/libu2f-host/libu2f-host-1.1.10.ebuild b/app-crypt/libu2f-host/libu2f-host-1.1.10.ebuild
new file mode 100644
index 00000000000..74514141e2a
--- /dev/null
+++ b/app-crypt/libu2f-host/libu2f-host-1.1.10.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit linux-info udev user
+
+DESCRIPTION="Yubico Universal 2nd Factor (U2F) Host C Library"
+HOMEPAGE="https://developers.yubico.com/libu2f-host/"
+SRC_URI="https://developers.yubico.com/${PN}/Releases/${P}.tar.xz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="kernel_linux static-libs systemd"
+
+DEPEND="dev-libs/hidapi
+ dev-libs/json-c:="
+RDEPEND="${DEPEND}
+ systemd? ( sys-apps/systemd[acl] )"
+BDEPEND="virtual/pkgconfig"
+
+CONFIG_CHECK="~HIDRAW"
+
+pkg_setup() {
+ # The U2F device node will be owned by group 'plugdev'
+ # in non-systemd configurations
+ if ! use systemd; then
+ enewgroup plugdev
+ fi
+}
+
+src_install() {
+ default
+ if use kernel_linux; then
+ udev_dorules 70-u2f.rules
+ fi
+
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ if ! use systemd; then
+ elog "Users must be a member of the 'plugdev' group"
+ elog "to be able to access U2F devices"
+ fi
+}
next reply other threads:[~2019-06-05 20:06 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-06-05 20:05 Göktürk Yüksek [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-08-16 22:52 [gentoo-commits] repo/gentoo:master commit in: app-crypt/libu2f-host/ Marek Szuba
2022-08-15 22:30 Sam James
2022-06-25 10:07 Marek Szuba
2021-09-13 16:26 Marek Szuba
2021-09-13 16:26 Marek Szuba
2021-08-10 0:22 Göktürk Yüksek
2020-10-15 1:09 Sam James
2019-12-26 12:56 Georgy Yakovlev
2019-09-13 12:58 Michał Górny
2019-06-08 19:10 Göktürk Yüksek
2019-06-08 18:13 Agostino Sarubbo
2019-06-07 20:14 Mikle Kolyada
2019-06-05 20:05 Göktürk Yüksek
2018-10-05 13:24 Alexys Jacob
2017-12-19 21:45 Thomas Deutschmann
2017-12-14 5:50 Jason Zaman
2017-12-08 20:39 Thomas Deutschmann
2017-02-04 1:31 Alon Bar-Lev
2016-10-09 13:48 Diego Elio Pettenò
2016-06-28 21:22 Göktürk Yüksek
2016-03-19 13:54 Manuel Rüger
2016-02-18 22:05 Manuel Rüger
2016-02-18 21:58 Manuel Rüger
2016-01-02 14:54 Patrice Clement
2015-09-13 14:44 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1559765125.1a1fc80ba7e47494400019c924245aff51b8307e.gokturk@gentoo \
--to=gokturk@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox